## pyranges 0.0.111+ds

=== docs/requirements.txt ===
sphinxcontrib-napoleon
sphinx-autoapi

## pyranges 0.0.85+ds

=== debian/changelog ===
pyranges (0.0.85+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove .hypothesis dir in examples

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 10:56:13 +0100

pyranges (0.0.79+ds-1) unstable; urgency=medium

  [ Steffen Moeller, Nilesh Patra ]
  * Initial release (Closes: #963015)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 21 Jun 2020 20:13:10 +0530

=== debian/control ===
Source: pyranges
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, Nilesh Patra <npatra974@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-ncls <!nocheck>,
               python3-pyrle <!nocheck>,
               python3-pytest <!nocheck>,
               python3-sorted-nearest,
               python3-hypothesis,
               bedtools,
               samtools
Standards-Version: 4.5.0
Homepage: https://github.com/biocore-ntnu/pyranges
Vcs-Browser: https://salsa.debian.org/med-team/pyranges
Vcs-Git: https://salsa.debian.org/med-team/pyranges.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pyranges
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-pyranges-doc
Description: 2D representation of genomic intervals and their annotations
 A PyRanges object must have the columns Chromosome, Start and
 End. These describe the genomic position and function as implicit row
 labels. A Strand column is optional and adds strand information to the
 intervals. Any other columns are allowed and are considered metadata.
 .
 The structure can be filled from .bed, .bam or .gff files, also from
 tabular or textual representations.

## pyranges 0.0.111%2Bds

=== debian/changelog ===
pyranges (0.0.111+ds-8) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * d/rules: fix build ignoring requested number of parallel processes.
    (Closes: #1082494)

  [ Étienne Mollier ]
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Sep 2024 10:53:29 +0200

pyranges (0.0.111+ds-7) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix for Pandas 2.0
    Closes: #1044064

  [ Étienne Mollier ]
  * fix-test_unary.patch: new.
    This patch fixes a remaining test failure affecting dtype conversion.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Feb 2024 15:39:01 +0100

pyranges (0.0.111+ds-6) unstable; urgency=medium

  * Team upload.
  * No runtime dependency from cython
    Closes: #1058012
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 21:36:05 +0100

pyranges (0.0.111+ds-5) unstable; urgency=medium

  * healthcheck-all.patch: new: fix test failure.
    The test failure seems to be caused by a call to an obsoleted method
    in a decorator describing the properties of the affected test.
    (Closes: #1042046)
  * d/control: add myself to uploaders.
  * d/rules: use execute_after_dh_* targets in place of overrides.
  * d/clean: remove remnants of *.bam* test data.

 -- Étienne Mollier <emollier@debian.org>  Wed, 23 Aug 2023 19:54:31 +0200

pyranges (0.0.111+ds-4) unstable; urgency=medium

  * Team upload.
  * Adapt to numpy 1.24
    Closes: #1028852
  * Standards-Version: 4.6.2 (routine-update)
  * No tab in license text (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2023 16:32:08 +0100

pyranges (0.0.111+ds-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS (Closes: ##1022476)
  * Remove myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Mon, 24 Oct 2022 11:42:28 +0530

pyranges (0.0.111+ds-2) unstable; urgency=medium

  * Team upload.
  * d/control: tests depend on python3-pytest-xdist.
  * d/rules: enable parallel test runs for substantial runtime improvement.
    This is made possible by the new test dependency.  The objective is to
    help investigations related to pytest 7 regression in bug #1013703.
  * d/control: declare compliance to standards version 4.6.1.

 -- Étienne Mollier <emollier@debian.org>  Mon, 04 Jul 2022 22:36:50 +0200

pyranges (0.0.111+ds-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - yet another fix

  [ Nilesh Patra ]
  * New upstream version 0.0.111+ds
  * Run cme
  * Add patch to fix tests

 -- Nilesh Patra <nilesh@debian.org>  Wed, 03 Nov 2021 07:06:31 +0000

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pyranges
export PYBUILD_BEFORE_TEST=\
	mkdir -pv {build_dir}/tests {build_dir}/pyranges \
	&& cp -av {dir}/tests/*.bed {build_dir}/tests \
	&& cp -av {dir}/tests/test_data {build_dir}/tests \
	&& cp -av {dir}/tests/data {build_dir}/tests \
	&& cp -av {dir}/pyranges/example_data {build_dir}/pyranges

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
       NUMJOBS = $(shell nproc)
endif
export PYBUILD_TEST_ARGS=-v -n $(NUMJOBS)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	echo 'Generating corresponding files ...'
	cat debian/missing-sources/test_sorted.sam| samtools view -Sb - > tests/test_data/test_sorted.bam
	cat debian/missing-sources/control.sam| samtools view -Sb - > pyranges/example_data/control.bam
	samtools index tests/test_data/test_sorted.bam tests/test_data/test_sorted.bam.bai
	samtools index pyranges/example_data/control.bam pyranges/example_data/control.bam.bai

execute_after_dh_install:
	find debian/ -name *.bam* | xargs rm -rf
	find debian/ -name 'hi' | xargs rm -rf
	find debian/ -name '.hypothesis' | xargs rm -rf

## pyranges 0.0.111+ds

=== debian/control ===
Source: pyranges
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               python3-all,
               python3-ncls <!nocheck>,
               python3-pyrle <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-sorted-nearest,
               python3-hypothesis,
               bedtools,
               samtools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/pyranges
Vcs-Git: https://salsa.debian.org/med-team/pyranges.git
Homepage: https://github.com/biocore-ntnu/pyranges
Rules-Requires-Root: no

Package: python3-pyranges
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Suggests: python-pyranges-doc
Description: 2D representation of genomic intervals and their annotations
 A PyRanges object must have the columns Chromosome, Start and
 End. These describe the genomic position and function as implicit row
 labels. A Strand column is optional and adds strand information to the
 intervals. Any other columns are allowed and are considered metadata.
 .
 The structure can be filled from .bed, .bam or .gff files, also from
 tabular or textual representations.

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,7 @@
 	&& cp -av {dir}/tests/test_data {build_dir}/tests \
 	&& cp -av {dir}/tests/data {build_dir}/tests \
 	&& cp -av {dir}/pyranges/example_data {build_dir}/pyranges
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-       NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-else
-       NUMJOBS = $(shell nproc)
-endif
-export PYBUILD_TEST_ARGS=-v -n $(NUMJOBS)
+export PYBUILD_TEST_ARGS=-v -n $(shell nproc)
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pyranges-$1.tar.gz%,repacksuffix=+ds,dversionmangle=auto" \
   https://github.com/biocore-ntnu/pyranges/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
